# zip() method in python creates an iterator that will aggregate elements from two or more iterables.
# Takes the iterable elements like input and return the iterator.

names = ("John", "Lucifer", "Niklas", "John")
companies = ("Microsoft", "Apple", "Oracle", "Microsoft")

# Using "list".
zipped = list(zip(names, companies))
print("Zipped result via List = {}".format(zipped))

print("\n=====\n")

# Using "set" will give back the unique value and the order of values won't be maintained.
zipped1 = set(zip(names, companies))
print("Zipped result via Set = {}".format(zipped1))

print("\n=====\n")

# Using "dict" format.
zipped2 = dict(zip(names, companies))
print("Zipped result via Dict = {}".format(zipped2))

print("\n=====\n")

# Using "for loop" to print the result
# Using "zipped" variable from line number 5.
print("Printing zipped result via loop.")
for (key, value) in zipped:
    print(key, "-", value)
